{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>One list</title>
</head>
<body>

    <main>
        <h1>{{ todo_list_object.item.name }}</h1>
        <div>
            <table>
                <thead>
                    <th>Task</th>
                    <th>Due Date</th>
                    <th>Is Completed</th>
                </thead>
                <tbody>
                    {% for task in todo_list_object.items.all %}
                    <tr>
                        <td>{{ task.task }}</td>
                        <td>{{ task.due_date }}</td>
                        <td>{{ task.is_completed }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>
